; (function ($) {
    $.attendmanageI18n = $.attendmanageI18n || {};
    $.extend($.attendmanageI18n, {
    	atsResultDynamicCommon: {
    		title: '重新计算',
    		btn_text1: '确认',
        	btn_text2: '关闭',
        	text1: '是否重新取卡',
        	text2: '计算当前时间未下班的考勤',
        	text3: '开始时间',
        	text4: '结束时间',
        	text5: '请假单',
        	text6: '出差单',
        	text7: '加班单',
        	text8: '补签卡',
        	text9: '请假变更单',
        	text10: '出差变更单',
        	text11: '未参与计算单据',
        	text12: '考勤计算',
        	text13: '请假时段',
        	text14: '至',
        	text15: '导出',
        	text16: '导出选中',
        	text17: '导出全部',
        	msg1: '您提交的计算量超过了15000人天，计算时间可能会较长，是否继续？',
        	msg2: '您已有{0}个考勤计算任务正在运行，如果继续操作需要排队等待上一个任务完成后开始运行，是否继续？',
        	msg3: '您已有{0}个考勤计算任务正在运行，如果继续操作需要排队等待前面的任务完成后开始运行，建议您稍后再提交，是否继续？',
        	msg4: '考勤计算开始日期不能大于结束日期！',
        	msg5: '考勤计算开始日期和结束日期不在当前周期范围内！'
    	},
    	atsResultOneDayDetail: {
    		text1: '考勤记录',
    		text2: '审核',
    		text3: '反审核',
    		text4: '保存',
    		text5: '取消',
    		text6: '返回',
    		text7: '当前状态 ：',
    		text8: '打卡记录',
    		text9: '没有打卡记录',
    		text10: '旷工情况',
    		text11: '早退情况',
    		text12: '请假信息',
    		text13: '出差信息',
    		text14: '加班信息',
    		text15: '维护更多信息',
    		text16: '计算',
    		text17: '应出勤时间',
    		text18: '默认班次',
    		text20: '当前没有考勤明细',
    		text21: '无',
    		text22: '值:',
    		text23: '审核',
    		text24: '第 {0} 行与第 {1} 考勤名称相同',
    		text25: '成功',
    		text26: '当前状态：已审核',
    		text27: '当前状态：已计算',
    		text28: '计算成功！',
    		text29: '计算失败！',
    		text30: '项目',
    		text31: '年',
    		text32: '明细',
    		text33: '编辑',
    		text34: '保存',
    		text35: '取消',
    		text36: '周日',
    		text37: '周一',
    		text38: '周二',
    		text39: '周三',
    		text40: '周四',
    		text41: '周五',
    		text42: '周六',
    		text43: '1月',
    		text44: '2月',
    		text45: '3月',
    		text46: '4月',
    		text47: '5月',
    		text48: '6月',
    		text49: '7月',
    		text50: '8月',
    		text51: '9月',
    		text52: '10月',
    		text53: '11月',
    		text54: '12月',
    		text55: '考勤计算',
    		text56: '迟到情况',
    		msg:'保存成功！',
    		text57: '员工未确认考勤,审核失败！'
    	},
    	atsResultCalBill: {
    		title1: '请假单',
    		title2: '补签卡',
    		title3: '出差单',
    		title4: '加班单',
    		msg1: '请先选中表格中的数据!',
    		msg2: '请选择同一个业务组织的人员考勤明细进行操作！',
    		msg3: '{0}在{1}的假期业务组织与当前补提单据的假期业务组织【{2}】不一致,不能请假，请到请假单中单独处理！'
    	},
    	jqtimeline: {
    		month1: '1月',
    		month2: '2月',
    		month3: '3月',
    		month4: '4月',
    		month5: '5月',
    		month6: '6月',
    		month7: '7月',
    		month8: '8月',
    		month9: '9月',
    		month10: '10月',
    		month11: '11月',
    		month12: '12月',
    		text1: '至',
    		text2: '请假说明：',
    		text3: '状态：',
    		text4: '申请日期：',
    		text5: '点击右侧关闭 :'
    	},
    	atsBillUtil: {
    		msg1: '只能删除未提交状态的数据，请选中表格中未提交的数据!',
    		msg2: '请先选中行！',
    		msg3: '请选中一行！',
    		msg4: '只能撤回未审批的单据',
    		msg5: '已经进入审批流程，是否确认要撤回？',
    		msg6: '撤回成功' 		
    	},
    	atsCommonUtile: {
    		weekday1: '日',
    		weekday2: '一',
    		weekday3: '二',
    		weekday4: '三',
    		weekday5: '四',
    		weekday6: '五',
    		weekday7: '六',
    		alias1: '当天',
    		alias2: '明天',
    		alias3: '本周',
    		alias4: '最近一周',
    		alias5: '上周',
    		alias6: '下周',
    		alias7: '未来一周',
    		alias8: '本月',
    		alias9: '最近半月',
    		alias10: '最近一月',
    		alias11: '最近三月',
    		alias12: '上月',
    		alias13: '下月',
    		alias14: '未来一月',
    		alias15: '未来两月',
    		alias16: '未来三月',
    		alias17: '最近半年',
    		alias18: '上半年',
    		alias19: '下半年',
    		alias20: '本年度',
    		alias21: '上年度',
    		alias22: '本季度',
    		alias23: '上季度',
    		alias24: '自定义',
    		alias25: '服务端数据',
    		alias26: '显示不常用数据',
    		alias27: '顺延',
    		alias28: '替换',
    		alias29: '不替换',
            alias33: '替换(关联班次)',
    		alias30: '一段班',
    		alias31: '两段班',
    		alias32: '三段班',
    		msg1: '为空',
    		msg2: '格式错误',
    		msg3: '当月不存在这一天',
    		msg4: '日期非法',
    		msg5: '不能小于',
    		msg6: '不能大于',
    		msg7: '开始日期',
    		msg8: '结束日期',
    		msg9: '{0}和{1}之间的时间间隔不能超过{2}个月!',
    		msg10: '{0}和{1}之间的时间间隔不能超过',
    		msg11: '毫秒',
    		msg12: '天',
    		msg13: '小时',
    		msg14: '分钟',
    		msg15: '秒',
    		msg16: '通用F7',
    		msg17: '多选请使用用逗号分隔',
    		msg18: '创建下拉框参数有误!',
    		msg19: '错误参数:',
    		like: '包含',
    		not_like: '不包含',
    		equal: '等于',
    		not_equal: '不等于',
    		gt: '大于',
    		lt: '小于',
    		gt_or_eq: '大于等于',
    		lt_or_eq: '小于等于',
    		yes: '是',
    		no: '否',
    		text1: '顺延排班指法定节假日结束后的第一天排班将从法定节假日开始的前一天的班次的下一个班次开始',
    		text2: '替换排班指系统将按原有规则排班,将法定节假日那几天的日期类型替换成法定节假日，不设置班次信息。',
    		text3: '不替换排班指系统将按原有规则排班,而且法定节假日当天仍然按原规则排班',
    		text4: '搜索',
            text5: '替换（关联班次）排班指系统将按原有规则排班,将法定节假日那几天的日期类型替换成法定节假日，原排班关联班次不变。如果替换前是休息日没有班次，除了日期类型替换出法定假日外，班次要关联上档案的默认班次。'
    	},
    	calandarWorkShift: {
    		weekday1: '周日',
    		weekday2: '周一',
    		weekday3: '周二',
    		weekday4: '周三',
    		weekday5: '周四',
    		weekday6: '周五',
    		weekday7: '周六',
    		month1: '1月',
    		month2: '2月',
    		month3: '3月',
    		month4: '4月',
    		month5: '5月',
    		month6: '6月',
    		month7: '7月',
    		month8: '8月',
    		month9: '9月',
    		month10: '10月',
    		month11: '11月',
    		month12: '12月',
    		year: '年',
    		msg1: '班次信息错误：',
    		msg2: '加载中...'
    	},
    	listWorkShift: {
    		msg1: '读取中，请耐心等待...',
    		msg2: '排班数据为空!',
    		msg3: '删除中...',
    		col1: '员工编码',
    		col2: '姓名',
    		col3: '考勤业务组织',
    		col4: '考勤业务组织Id',
    		col5: '行政组织',
    		col6: '员工关系状态'
    	},
    	workShiftStrategy: {
    		dayType1: '工作日',
    		dayType2: '休息日',
    		dayType3: '法定假日',
    		msg1: '请选择行进行操作',
    		msg2: '请选择要排班的人员!',
    		msg3: '请选择要排班的员工及日期!',
    		msg4: '请选择同一个业务组织的员工',
    		msg5: '请勾选要排班的员工!',
    		msg6: '没有要保存的排班数据，请先排班!',
    		msg7: '排班成功!',
    		msg8: '排班失败：排班类型 {0},排班方式：{1}',
    		msg9: '排班进行中！请稍等...',
    		title1: '轮班规则',
    		title2: '复制排班',
    		title3: '选择日期类型和班次',
    		text: '至',
    		label1: '姓名',
    		label2: '考勤日期',
    		label3: '错误详情'
    	},
    	atsHolidayFileHISMultiRow: {
    		msg1: '温馨提示：新增或修改考勤档案历史不会更新已完成的业务数据。如：员工已排班，当修改了档案历史的考勤组织，如需将修改后的考勤组织用到排班中，则需要对员工重新排班。',
    		msg2: '档案历史所有字段不能为空!',
    		msg3: '档案历史之间的生效日期和失效日期必须连续且不重叠!',
    		msg4: '生效日期不能大于当前日期!',
    		msg5: '档案历史的生效失效时间不能大于前面档案的生效失效时间!',
    		msg6: '档案历史之间的生效日期和失效日期不能有重叠!'
    	},
    	attendanceFileHISMultiRow: {
    		msg1: '温馨提示：新增或修改考勤档案历史不会更新已完成的业务数据。如：员工已排班，当修改了档案历史的考勤组织，如需将修改后的考勤组织用到排班中，则需要对员工重新排班。',
    		msg2: '档案历史所有字段不能为空!',
    		msg3: '档案历史之间的生效日期和失效日期必须连续且不重叠!',
    		msg4: '生效日期不能大于当前日期!',
    		msg5: '档案历史的生效失效时间不能大于前面档案的生效失效时间!',
    		msg6: '档案历史之间的生效日期和失效日期不能有重叠!'
    	},
    	dateYearMonthPicker: {
    		year: '年',
    		month: '月'
    	},
    	commonRes:{
    		calendar:"工作日历"
    	}
    })
})(jQuery);	